sVsh Struct Reference
Vsh class

Contains public data members for Vsh class. More...

`#include <vsh.h>`

Collaboration diagram for sVsh:
[legend]

## Public Attributes

Vmem * | vmem
| the memory manager
int | iMadeVmem
| did i make vmem or was it inherited
char | processArgs
| whether the shell should process (argc,argv)
int | envValuLen
| number of environment variables
int | envInfoLen
| number of environment variable help strings
char ** | envValu
| the environment variables
char ** | envInfo
| the environment variable help strings
FILE * | inUnit
| input unit
FILE * | scUnit
| script input unit
FILE * | clUnit
| input unit
FILE * | cinUnit
| input unit
char | cinName [VMAX_ARGLEN]
| input unit
char | PR [VMAX_ARGLEN]
| minimal prompt (just the binary name)
char | PR_PATH [VMAX_ARGLEN]
| full prompt (user,hostname,path,etc)
char | PR_EXIT [VMAX_ARGLEN]
| the exit print string
int | cmdKey
| external supershell command key
void * | Ext_thee
| external supershell object
char * | buf
| internal buffer
int | bufsize
| internal buffer size
int(* | Ext_builtin )(void *thee, int argc, char **argv)
| external supershell builtin function

## Detailed Description

Contains public data members for Vsh class.

Author
  Michael Holst

## Member Data Documentation

## buf

char* sVsh::buf

internal buffer

## bufsize

int sVsh::bufsize

internal buffer size

## cinName

char sVsh::cinName[VMAX_ARGLEN]

input unit

## cinUnit

FILE* sVsh::cinUnit

input unit

## clUnit

FILE* sVsh::clUnit

input unit

## cmdKey

int sVsh::cmdKey

external supershell command key

## envInfo

char** sVsh::envInfo

the environment variable help strings

## envInfoLen

int sVsh::envInfoLen

number of environment variable help strings

## envValu

char** sVsh::envValu

the environment variables

## envValuLen

int sVsh::envValuLen

number of environment variables

## Ext_builtin

int(* sVsh::Ext_builtin) (void *thee, int argc, char **argv)

external supershell builtin function

## Ext_thee

void* sVsh::Ext_thee

external supershell object

## iMadeVmem

int sVsh::iMadeVmem

did i make vmem or was it inherited

## inUnit

FILE* sVsh::inUnit

input unit

## PR

char sVsh::PR[VMAX_ARGLEN]

minimal prompt (just the binary name)

## PR_EXIT

char sVsh::PR_EXIT[VMAX_ARGLEN]

the exit print string

## PR_PATH

char sVsh::PR_PATH[VMAX_ARGLEN]

full prompt (user,hostname,path,etc)

## processArgs

char sVsh::processArgs

whether the shell should process (argc,argv)

## scUnit

FILE* sVsh::scUnit

script input unit

## vmem

Vmem* sVsh::vmem

the memory manager

The documentation for this struct was generated from the following file:

- vsh.h